hpp-fcl: hpp::fcl::Quadrilateral Struct Reference

hpp-fcl 1.8.0 HPP fork of FCL -- The Flexible Collision Library

Public Types | Public Member Functions | Static Public Member Functions | List of all members
hpp::fcl::Quadrilateral Struct Reference

Quadrilateral with 4 indices for points. More...

`#include <hpp/fcl/data_types.h>`

## Public Types
typedef std::size_t | index_type
typedef int | size_type

## Public Member Functions
| Quadrilateral ()
| Quadrilateral (index_type p0, index_type p1, index_type p2, index_type p3)
void | set (index_type p0, index_type p1, index_type p2, index_type p3)
| Set the vertex indices of the quadrilateral. More...
index_type | operator[] (unsigned int i) const
| @access the quadrilatere index More...
index_type & | operator[] (unsigned int i)
bool | operator== (const Quadrilateral &other) const
bool | operator!= (const Quadrilateral &other) const

## Static Public Member Functions
static size_type | size ()

## Detailed Description

Quadrilateral with 4 indices for points.

## Member Typedef Documentation

## ◆ index_type

typedef std::size_t hpp::fcl::Quadrilateral::index_type

## ◆ size_type

typedef int hpp::fcl::Quadrilateral::size_type

## Constructor & Destructor Documentation

## ◆ Quadrilateral() [1/2]

hpp::fcl::Quadrilateral::Quadrilateral | ( |  | ) |
| inline

## ◆ Quadrilateral() [2/2]

hpp::fcl::Quadrilateral::Quadrilateral | ( | index_type | p0,
|  | index_type | p1,
|  | index_type | p2,
|  | index_type | p3
| ) |  |
| inline

## Member Function Documentation

## ◆ operator!=()

bool hpp::fcl::Quadrilateral::operator!= | ( | const Quadrilateral & | other | ) | const
| inline

## ◆ operator==()

bool hpp::fcl::Quadrilateral::operator== | ( | const Quadrilateral & | other | ) | const
| inline

## ◆ operator[]() [1/2]

index_type & hpp::fcl::Quadrilateral::operator[] | ( | unsigned int | i | ) |
| inline

## ◆ operator[]() [2/2]

index_type hpp::fcl::Quadrilateral::operator[] | ( | unsigned int | i | ) | const
| inline

@access the quadrilatere index

## ◆ set()

void hpp::fcl::Quadrilateral::set | ( | index_type | p0,
|  | index_type | p1,
|  | index_type | p2,
|  | index_type | p3
| ) |  |
| inline

Set the vertex indices of the quadrilateral.

## ◆ size()

static size_type hpp::fcl::Quadrilateral::size | ( |  | ) |
| inlinestatic

The documentation for this struct was generated from the following file:

- include/hpp/fcl/data_types.h